%define anolis_release 1

Name:           mesa-libGLU
Version:        9.0.3
Release:        %{anolis_release}%{?dist}
Summary:        Mesa libGLU library
License:        SGI-B-1.1 AND SGI-B-2.0 AND MIT
URL:            http://mesa3d.org/
Source0:        https://archive.mesa3d.org/glu/glu-%{version}.tar.xz

BuildRequires:  pkgconfig(gl)
BuildRequires:	meson >= 0.52.0
Provides: libGLU

%description
Mesa implementation of the standard GLU OpenGL utility API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gl-manpages
Provides:	libGLU-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n glu-%{version}

%build
%meson -Dgl_provider=gl -Ddefault_library=shared
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%dir %{abidir}
%{_libdir}/libGLU.so.1
%{_libdir}/libGLU.so.1.3.*
%{abidir}/libGLU.dump

%files devel
%{_includedir}/GL/glu*.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

%changelog
* Sat Jul 29 2023 Funda Wang <fundawang@yeah.net> - 9.0.3-1
- New version 9.0.3

* Sun Jan 8 2023 Funda Wang <fundawang@yeah.net> - 9.0.2-1
- New version 9.0.2
